### Constructor

# Vips Object new

#### Declaration [src]

    VipsObject*
    vips_object_new (
      GType type,
      VipsObjectSetArguments set,
      void* a,
      void* b
    )

#### Description [src]

`g_object_new()` the object, set any arguments with `set`, call `vips_object_build()` and return the complete object.

This constructor is not directly available to language bindings.

#### Parameters

`type`

  Type: `GType`

  Object to create.

`set`

  Type: `VipsObjectSetArguments`

  Set arguments with this.

`a`

  Type: `void*`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `VipsObject`

The new object.

The caller of the function takes ownership of the data, and is responsible for freeing it.